vexalarm.options.spellwindow.spellID = 0

-- Props to Treeston for the original function, I modified it to get more info 
-- http://www.mmo-champion.com/threads/932005-Get-spell-description-via-spell-ID?p=12117176
	
function vexalarm.options.spellwindow.getToolTip(spellID)
	local tooltip = CreateFrame("GameTooltip", "CBMTSpellLoggerSpellScanTooltip", UIParent, "GameTooltipTemplate")
	tooltip:SetOwner(UIParent, "ANCHOR_NONE")
	tooltip:SetSpellByID(spellID)
	
	local returnvalue = ""..CBMTSpellLoggerSpellScanTooltipTextLeft2:GetText():match("[ ]*(.+)")
	returnvalue = returnvalue.."\n"..CBMTSpellLoggerSpellScanTooltipTextLeft3:GetText():match("[ ]*(.+)")
	if CBMTSpellLoggerSpellScanTooltipTextLeft4:GetText()~= nil then
		returnvalue = returnvalue.."\n"..CBMTSpellLoggerSpellScanTooltipTextLeft4:GetText():match("[ ]*(.+)")
	end
	if CBMTSpellLoggerSpellScanTooltipTextLeft5:GetText()~= nil then
		returnvalue = returnvalue.."\n"..CBMTSpellLoggerSpellScanTooltipTextLeft5:GetText():match("[ ]*(.+)")
	end
	tooltip:Hide()
	return returnvalue
end


function vexalarm.options.spellwindow.toggle(close, spellid, class, classstring, spelltype)
	if not(close) and (vexalarm.options.spellwindow.spellID ~= spellid or not(vexalarm.options.spellwindow.frame:IsShown())) then
		--Frame
		vexalarm.options.spellwindow.spellID = spellid
		
		if vexalarm.options.spellwindow.frame == nil then
			vexalarm.options.spellwindow.frame = CreateFrame("Frame", nil, InterfaceOptionsFramePanelContainer)
		
			vexalarm.options.spellwindow.frame:SetBackdrop({bgFile="Interface\\Buttons\\WHITE8X8", edgeFile="Interface\\Buttons\\WHITE8X8", tile=true, edgeSize=2})
			vexalarm.options.spellwindow.frame:SetBackdropColor(0.3, 0.3, 0.3, 0.8)
			vexalarm.options.spellwindow.frame:SetBackdropBorderColor(0,0,0,1)
			vexalarm.options.spellwindow.frame:SetFrameStrata("TOOLTIP")
			
			vexalarm.options.spellwindow.frame:RegisterForDrag("LeftButton")
			vexalarm.options.spellwindow.frame:SetScript("OnDragStart", function ()
				vexalarm.options.spellwindow.frame:StartMoving()
				end)
			vexalarm.options.spellwindow.frame:SetScript("OnDragStop", function (self)
				self:StopMovingOrSizing()
				end)
			vexalarm.options.spellwindow.frame:EnableMouse(true)
			vexalarm.options.spellwindow.frame:SetMovable(true)
			vexalarm.options.spellwindow.frame:ClearAllPoints()
			vexalarm.options.spellwindow.frame:SetPoint("TOPLEFT", InterfaceOptionsFramePanelContainer, "TOPRIGHT", 0, 0)
			vexalarm.options.spellwindow.frame:Show()
			
			
			--FontString
			vexalarm_SV_spellprofilesellWindowText = vexalarm.options.spellwindow.frame:CreateFontString("vexalarm_SV_spellprofilesellWindowText", "OVERLAY", "GameFontNormal")
			vexalarm_SV_spellprofilesellWindowText:ClearAllPoints()
			vexalarm_SV_spellprofilesellWindowText:SetPoint("TOPLEFT", vexalarm.options.spellwindow.frame, "TOPLEFT", 5, -5)
			vexalarm_SV_spellprofilesellWindowText:SetWidth(200)
			vexalarm_SV_spellprofilesellWindowText:SetTextColor(1, 1, 1, 1)
			vexalarm_SV_spellprofilesellWindowText:SetFont(vexalarm.LSM:Fetch("font", "Friz Quadrata TT"), 11)
			vexalarm_SV_spellprofilesellWindowText:SetJustifyH("LEFT")
			
			--CloseButton
			vexalarm_SV_spellprofilesellWindowButton = CreateFrame("Button", "vexalarm_SV_spellprofilesellWindowButton", vexalarm.options.spellwindow.frame, "UIPanelButtonTemplate")
			vexalarm_SV_spellprofilesellWindowButton:SetWidth(50)
			vexalarm_SV_spellprofilesellWindowButton:SetHeight(20)
			vexalarm_SV_spellprofilesellWindowButton:SetScale(0.7)
			vexalarm_SV_spellprofilesellWindowButton:SetPoint("TOPRIGHT", vexalarm.options.spellwindow.frame, "TOPRIGHT", -6, -5)
			vexalarm_SV_spellprofilesellWindowButton:SetText("Close")
			vexalarm_SV_spellprofilesellWindowButton:SetScript("OnClick", function () vexalarm.options.spellwindow.toggle(true, spellid) end)
		end
		
		vexalarm_SV_spellprofilesellWindowText:SetText("|CFFFF7D0A"..select(1, GetSpellInfo(spellid)).."|r\nClass: |CFF"..vexalarm.colorize.getHexClassColor(classstring)..class.."|r\n\n"..vexalarm.options.spellwindow.getToolTip(spellid))
		
		vexalarm.options.spellwindow.frame:SetWidth(vexalarm_SV_spellprofilesellWindowText:GetWidth()+10)
		vexalarm.options.spellwindow.frame:SetHeight(vexalarm_SV_spellprofilesellWindowText:GetHeight()+10)
		
		if not(vexalarm.options.spellwindow.frame:IsShown()) then
			vexalarm.options.spellwindow.frame:ClearAllPoints()
			vexalarm.options.spellwindow.frame:SetPoint("TOPLEFT", InterfaceOptionsFramePanelContainer, "TOPRIGHT", 0, 0)
			vexalarm.options.spellwindow.frame:Show()
		end
	else
		vexalarm.options.spellwindow.frame:Hide()
	end
end